Kontakt aktualisieren
Entwickler können über die API Kontaktinformationen aktualisieren.
Anfragemethode
PATCH
Anfrage-URL
https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id
Authentifizierung
Einzelheiten zur Authentifizierung finden Sie in der API-Übersicht.
Anfrage
Anfragebeispiel
curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
{
"additional_attributes":
{
"description": "",
"company_name": "",
"city": "",
"telegram": "",
"country": "",
"country_code": "",
"social_profiles":
{
"facebook": "",
"github": "",
"instagram": "",
"linkedin": "",
"twitter": ""
}
},
"availability_status": "offline",
"email": "support@jiguang.cn",
"name": "support",
"phone_number": null,
"blocked": false,
"identifier": "2222",
"thumbnail": "",
"last_activity_at": 1765441908,
"custom_attributes":
{ // Optional: Benutzerdefinierte Felder zusammenführen und aktualisieren (inkrementelles Zusammenführen)
"vip_level": "platinum"
},
"created_at": 1765441895,
"first_name": "support",
"last_name": ""
}
curl -X PATCH https://livedesk-api.engagelab.com/api/v2/accounts/contacts/:id \
-H 'Content-Type: application/json' \
-H 'Authorization: Basic base64(api_key:api_secret)' \
{
"additional_attributes":
{
"description": "",
"company_name": "",
"city": "",
"telegram": "",
"country": "",
"country_code": "",
"social_profiles":
{
"facebook": "",
"github": "",
"instagram": "",
"linkedin": "",
"twitter": ""
}
},
"availability_status": "offline",
"email": "support@jiguang.cn",
"name": "support",
"phone_number": null,
"blocked": false,
"identifier": "2222",
"thumbnail": "",
"last_activity_at": 1765441908,
"custom_attributes":
{ // Optional: Benutzerdefinierte Felder zusammenführen und aktualisieren (inkrementelles Zusammenführen)
"vip_level": "platinum"
},
"created_at": 1765441895,
"first_name": "support",
"last_name": ""
}
Diesen Codeblock im schwebenden Fenster anzeigen
Anfrage-Header
| Feld | Typ | Beschreibung |
|---|---|---|
| Authorization | string | Verwenden Sie Authorization: Basic base64(API Key:API Secret) zur Authentifizierung. Rufen Sie API Key und API Secret auf der API-Key-Seite ab, verbinden Sie beide mit einem Doppelpunkt und kodieren Sie sie anschließend mit Base64. |
| Content-Type | application/json | Dies ist das Datenformat der Anfrage. Verwenden Sie application/json. |
Pfadparameter
| Feld | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
| account | integer | Ja | Konto-ID |
| id | integer | Ja | Kontakt-ID |
Request-Body-Parameter
| Feld | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
| additional_attributes | Object | Nein | Zusätzliche Attribute. |
| description | Object | Nein | Beschreibungsinformationen. |
| company_name | String | Nein | Firmenname. |
| city | String | Nein | Stadt. |
| telegram | String | Nein | Telegram-Kontakt. |
| country | String | Nein | Land. |
| country_code | String | Nein | Ländercode. |
| social_profiles | String | Nein | Social-Media-Kontakte. |
| availability_status | String | Nein | Online-Status. Standard ist offline. |
| String | Nein | E-Mail-Adresse. | |
| name | String | Nein | Name. |
| phone_number | String | Nein | Telefonnummer. |
| blocked | String | Nein | Gibt an, ob blockiert. Standard ist false. |
| identifier | String | Nein | Externe eindeutige Kennung des Kontakts, entsprechend der in der Oberfläche angezeigten UserID. |
| thumbnail | String | Nein | URL des Kontakt-Avatars. |
| last_activity_at | String | Nein | Zeitstempel der letzten Aktualisierung. |
| created_at | String | Nein | Erstellungszeitstempel. |
| first_name | String | Nein | Vorname des Kontakts. |
| last_name | Array | Nein | Nachname des Kontakts. |
| custom_attributes | object | Benutzerdefinierte Felder |
Antwortbeispiel
{
"payload": {
"additional_attributes": {
"description": "",
"company_name": "",
"city": "",
"telegram": "",
"country": "",
"country_code": "",
"social_profiles": {
"facebook": "",
"github": "",
"instagram": "",
"linkedin": "",
"twitter": ""
}
},
"availability_status": "offline",
"email": "support@jiguang.cn",
"id": 318763,
"name": "support",
"phone_number": null,
"blocked": false,
"identifier": "2222",
"thumbnail": "",
"custom_attributes": {},
"last_activity_at": 1765441908,
"created_at": 1765441895,
"contact_inboxes":[
{
"source_id": "src_001",
"inbox": {
"id": 10,
"name": "Kundendienstkanal",
"channel_type": "Channel::Api"
}
}
]
}
}
{
"payload": {
"additional_attributes": {
"description": "",
"company_name": "",
"city": "",
"telegram": "",
"country": "",
"country_code": "",
"social_profiles": {
"facebook": "",
"github": "",
"instagram": "",
"linkedin": "",
"twitter": ""
}
},
"availability_status": "offline",
"email": "support@jiguang.cn",
"id": 318763,
"name": "support",
"phone_number": null,
"blocked": false,
"identifier": "2222",
"thumbnail": "",
"custom_attributes": {},
"last_activity_at": 1765441908,
"created_at": 1765441895,
"contact_inboxes":[
{
"source_id": "src_001",
"inbox": {
"id": 10,
"name": "Kundendienstkanal",
"channel_type": "Channel::Api"
}
}
]
}
}
Diesen Codeblock im schwebenden Fenster anzeigen
Antwortparameter
| Feld | Typ | Erforderlich | Beschreibung |
|---|---|---|---|
| payload | Object | Nein | Attributstruktur. |
| additional_attributes | Object | Nein | Zusätzliche Attribute. |
| availability_status | String | Nein | Online-Status. Standard ist offline. |
| String | Nein | E-Mail-Adresse. | |
| id | String | Nein | Kontakt-ID. |
| name | String | Nein | Name. |
| phone_number | String | Nein | Telefonnummer. |
| blocked | String | Nein | Gibt an, ob blockiert. Standard ist false. |
| identifier | String | Nein | Externe eindeutige Kennung des Kontakts, entsprechend der in der Oberfläche angezeigten UserID. |
| thumbnail | String | Nein | Avatar-URL. |
| custom_attributes | String | Nein | Kontaktattribute. |
| created_at | String | Nein | Erstellungszeitstempel. |
| last_activity_at | String | Nein | Zeitstempel der letzten Aktualisierung. |
| contact_inboxes | array | Zugehörige Kanalinformationen; werden nur zurückgegeben, wenn include_contact_inboxes=true. |
|
| source_id | String | Nein | Quell-ID. |
| inbox | Object | Nein | Informationen zum Posteingang. |
| id | Integer | Nein | ID des Posteingangs. |
| name | String | Nein | Name des Posteingangs. |
| channel_type | String | Nein | Kanaltyp. |










